Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::Stream Class Reference
Ipe Base

`#include <ipebase.h>`

Inherited by ipe::A85Stream, ipe::Base64Stream, ipe::DeflateStream, ipe::TellStream, and PercentStream.

## Public Member Functions

virtual | ~Stream ()
virtual void | putChar (char ch)=0
virtual void | close ()
virtual void | putString (String s)
virtual void | putCString (const char *s)
virtual void | putRaw (const char *data, int size)
Stream & | operator<< (char ch)
Stream & | operator<< (const String &s)
Stream & | operator<< (const char *s)
Stream & | operator<< (int i)
Stream & | operator<< (double d)
void | putHexByte (char b)
void | putXmlString (String s)

## Detailed Description

Abstract base class for output streams.

## Constructor & Destructor Documentation

Stream::~Stream | ( |  | ) |

virtual

Virtual destructor.

## Member Function Documentation

virtual void ipe::Stream::putChar | ( | char | ch | ) |

pure virtual

Output character.

Implemented in ipe::FileStream, ipe::StringStream, ipe::DeflateStream, ipe::Base64Stream, and ipe::A85Stream.

void Stream::close | ( |  | ) |

virtual

Close the stream. No more writing allowed!

Reimplemented in ipe::DeflateStream, ipe::Base64Stream, and ipe::A85Stream.

void Stream::putString | ( | String | s | ) |

virtual

Output string.

Default implementation uses PutChar.

Reimplemented in ipe::FileStream, and ipe::StringStream.

void Stream::putCString | ( | const char * | s | ) |

virtual

Output C string.

Default implementation uses PutChar.

Reimplemented in ipe::FileStream, and ipe::StringStream.

void Stream::putRaw | ( | const char * | data,
|  | int | size
| ) |  |

virtual

Output raw character data.

Default implementation uses PutChar.

Reimplemented in ipe::FileStream, and ipe::StringStream.

Stream& ipe::Stream::operator<< | ( | char | ch | ) |

inline

Output character.

Stream& ipe::Stream::operator<< | ( | const String & | s | ) |

inline

Output string.

Stream& ipe::Stream::operator<< | ( | const char * | s | ) |

inline

Output C string.

Stream & Stream::operator<< | ( | int | i | ) |

Output integer.

Stream & Stream::operator<< | ( | double | d | ) |

Output double.

void Stream::putHexByte | ( | char | b | ) |

Output byte in hexadecimal.

void Stream::putXmlString | ( | String | s | ) |

Save a string with XML escaping of &, >, <, ", '.

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp